<?php
/**
 * Loads the child theme textdomain.
 */
function businessmaker_child_theme_setup() {
    load_child_theme_textdomain('businessmaker');
}
add_action( 'after_setup_theme', 'businessmaker_child_theme_setup' );

function businessmaker_child_enqueue_styles() {
    $parent_style = 'businessmaker-parent-style';
    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	 wp_enqueue_style( 'businessmaker-style',get_stylesheet_directory_uri() . '/businessmaker.css');
}
add_action( 'wp_enqueue_scripts', 'businessmaker_child_enqueue_styles',99);


// svg design

if (!function_exists('oneline_lite_svg_enable')) {
  function oneline_lite_svg_enable(){
    $svg_disable= get_theme_mod('oneline-lite_svg_disable');
    if($svg_disable =='' || $svg_disable =='0'){
        $return = '<div class="svg-top-container">
            
     <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 1000 100" preserveAspectRatio="none">
           <path d="M-1.23 78.87c186.267-24.436 314.878-36.485 385.833-36.147 106.432.506 167.531 21.933 236.417 21.933s183.312-50.088 254.721-55.62c47.606-3.688 89.283 2.613 125.03 18.901v72.063l-1002 1.278v-22.408z"></path>
       </svg>
    </div>';
    return $return;
     } else {
    return false;
     }
  }
}

if (!function_exists('oneline_lite_svg_bottom_enable')) {
  function oneline_lite_svg_bottom_enable(){
    $svg_btm_disable= get_theme_mod('oneline-lite_svg_disable');
    if($svg_btm_disable =='' || $svg_btm_disable =='0'){
        $return = '<div class="svg-bottom-container">
         <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 1000 100" preserveAspectRatio="none">
            <path d="M-1.23 78.87c186.267-24.436 314.878-36.485 385.833-36.147 106.432.506 167.531 21.933 236.417 21.933s183.312-50.088 254.721-55.62c47.606-3.688 89.283 2.613 125.03 18.901v72.063l-1002 1.278v-22.408z"></path>
        </svg>   
    </div>';
    return $return;
     } else {
    return false;
     }
  }
}

if (!function_exists('oneline_lite_page_svg_top_enable')) {
  function oneline_lite_page_svg_top_enable(){
    $custom_background_color = get_background_color();
    $svg_top_disable= get_theme_mod('oneline-lite_svg_disable');
    if($svg_top_disable =='' || $svg_top_disable =='0'){
        $return = '<div style="fill:#'.$custom_background_color.'" class="svg-bottom-container">  
      <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 1000 100" preserveAspectRatio="none">
           <path d="M-1.23 78.87c186.267-24.436 314.878-36.485 385.833-36.147 106.432.506 167.531 21.933 236.417 21.933s183.312-50.088 254.721-55.62c47.606-3.688 89.283 2.613 125.03 18.901v72.063l-1002 1.278v-22.408z"></path>
       </svg>
    </div>';
    return $return;
     } else {
    return false;
     }
  }
}

if (!function_exists('oneline_lite_page_svg_bottom_enable')) {
  function oneline_lite_page_svg_bottom_enable(){
    $custom_background_color = get_background_color();    
    $svg_bottom_disable= get_theme_mod('oneline-lite_svg_disable');
    if($svg_bottom_disable =='' || $svg_bottom_disable =='0'){
        $return = '<div style="fill:#'.$custom_background_color.'" class="svg-top-container">
       <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 1000 100" preserveAspectRatio="none">
           <path d="M-1.23 78.87c186.267-24.436 314.878-36.485 385.833-36.147 106.432.506 167.531 21.933 236.417 21.933s183.312-50.088 254.721-55.62c47.606-3.688 89.283 2.613 125.03 18.901v72.063l-1002 1.278v-22.408z"></path>
       </svg>
    </div>';
    return $return;
     } else {
    return false;
     }
  }

}